Name:		puppet-cvmfs
Version:	0.3
Release:	1%{?dist}
Summary:	Puppet module for cvmfs

Group:		CERN/Utilities
License:	BSD
URL:		http://linux.cern.ch
Source0:	%{name}-%{version}.tar.gz

BuildArch: noarch

Requires: puppet
Requires: puppet-stdlib
Requires: puppet-concat


%description
Puppet module for cvmfs.

%prep
%setup -q -c

%build
FLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/cvmfs
install -d %{buildroot}/etc/puppet/hieradata/module_names/cvmfs

cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/cvmfs/

cp data/cvmfs.yaml %{buildroot}/etc/puppet/hieradata/module_names/cvmfs/cvmfs.yaml


%files -n puppet-cvmfs
%dir /etc/puppet/hieradata/module_names/cvmfs
/etc/puppet/hieradata/module_names/cvmfs/cvmfs.yaml
%dir %{_datadir}/puppet/modules/cvmfs
%dir %{_datadir}/puppet/modules/cvmfs/lib
%dir %{_datadir}/puppet/modules/cvmfs/lib/facter
%dir %{_datadir}/puppet/modules/cvmfs/manifests
%dir %{_datadir}/puppet/modules/cvmfs/manifests/one
%dir %{_datadir}/puppet/modules/cvmfs/manifests/server
%dir %{_datadir}/puppet/modules/cvmfs/manifests/zero
%dir %{_datadir}/puppet/modules/cvmfs/templates
%dir %{_datadir}/puppet/modules/cvmfs/files
%{_datadir}/puppet/modules/cvmfs/README.md
%{_datadir}/puppet/modules/cvmfs/lib/facter/cvmfspartsize.rb
%{_datadir}/puppet/modules/cvmfs/files/RPM-GPG-KEY-CernVM
%{_datadir}/puppet/modules/cvmfs/files/cvmfs_fsck.logrotate
%{_datadir}/puppet/modules/cvmfs/files/cvmfsr.logrotate
%{_datadir}/puppet/modules/cvmfs/files/sync-cron.sh
%{_datadir}/puppet/modules/cvmfs/templates/client.conf.erb
%{_datadir}/puppet/modules/cvmfs/templates/create_script.sh.erb
%{_datadir}/puppet/modules/cvmfs/templates/cvmfs-strat1-httpd.conf.erb
%{_datadir}/puppet/modules/cvmfs/templates/cvmfs_fsck_cron.sh.erb
%{_datadir}/puppet/modules/cvmfs/templates/genkeys.sh.erb
%{_datadir}/puppet/modules/cvmfs/templates/repo.local.erb
%{_datadir}/puppet/modules/cvmfs/templates/server.conf.erb
%{_datadir}/puppet/modules/cvmfs/templates/zero-httpd.conf.erb
%{_datadir}/puppet/modules/cvmfs/manifests/one/config.pp
%{_datadir}/puppet/modules/cvmfs/manifests/one/install.pp
%{_datadir}/puppet/modules/cvmfs/manifests/server/config.pp
%{_datadir}/puppet/modules/cvmfs/manifests/server/install.pp
%{_datadir}/puppet/modules/cvmfs/manifests/server/yum.pp
%{_datadir}/puppet/modules/cvmfs/manifests/zero/config.pp
%{_datadir}/puppet/modules/cvmfs/manifests/zero/install.pp
%{_datadir}/puppet/modules/cvmfs/manifests/zero/service.pp
%{_datadir}/puppet/modules/cvmfs/manifests/zero/yum.pp
%{_datadir}/puppet/modules/cvmfs/manifests/config.pp
%{_datadir}/puppet/modules/cvmfs/manifests/domain.pp
%{_datadir}/puppet/modules/cvmfs/manifests/fsck.pp
%{_datadir}/puppet/modules/cvmfs/manifests/init.pp
%{_datadir}/puppet/modules/cvmfs/manifests/install.pp
%{_datadir}/puppet/modules/cvmfs/manifests/mount.pp
%{_datadir}/puppet/modules/cvmfs/manifests/one.pp
%{_datadir}/puppet/modules/cvmfs/manifests/params.pp
%{_datadir}/puppet/modules/cvmfs/manifests/server.pp
%{_datadir}/puppet/modules/cvmfs/manifests/service.pp
%{_datadir}/puppet/modules/cvmfs/manifests/yum.pp
%{_datadir}/puppet/modules/cvmfs/manifests/zero.pp

%doc code/README.md



%changelog
* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Mon Sep 19 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Release 3.1.0 version

* Fri Aug 26 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Release 3.0.1 version

* Fri Jun 17 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Initial release
